summaryrefslogtreecommitdiffstats
path: root/jjb/vpp
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/vpp')
-rw-r--r--jjb/vpp/include-raw-vpp-build.sh2
-rw-r--r--jjb/vpp/include-raw-vpp-csit-functional.sh54
-rw-r--r--jjb/vpp/include-raw-vpp-csit-verify-perf.sh54
-rw-r--r--jjb/vpp/vpp.yaml2
4 files changed, 99 insertions, 13 deletions
diff --git a/jjb/vpp/include-raw-vpp-build.sh b/jjb/vpp/include-raw-vpp-build.sh
index 28d69190e..6a13995e5 100644
--- a/jjb/vpp/include-raw-vpp-build.sh
+++ b/jjb/vpp/include-raw-vpp-build.sh
@@ -47,7 +47,7 @@ then
[ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes verify
else
echo "Building using \"make build-root/vagrant/build.sh\""
- [ "x${DRYRUN}" == "xTrue" ] || make install-dep
+ [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes install-dep
[ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes dpdk-install-dev
[ "x${DRYRUN}" == "xTrue" ] || build-root/vagrant/build.sh
fi
diff --git a/jjb/vpp/include-raw-vpp-csit-functional.sh b/jjb/vpp/include-raw-vpp-csit-functional.sh
index 38ef7e08e..38863fdac 100644
--- a/jjb/vpp/include-raw-vpp-csit-functional.sh
+++ b/jjb/vpp/include-raw-vpp-csit-functional.sh
@@ -7,14 +7,19 @@ if [ -x build-root/scripts/csit-test-branch ]; then
CSIT_BRANCH=`build-root/scripts/csit-test-branch`;
fi
-# Clone csit and start tests
-git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH:-csit-verified}
+# check CSIT_BRANCH value
+if [ "$CSIT_BRANCH" == "" ]; then
+ echo "CSIT_BRANCH not provided => 'latest' will be used"
+ CSIT_BRANCH="latest"
+fi
+
+# clone csit
+git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
-# If the git clone fails, complain clearly and exit
+# if the git clone fails, complain clearly and exit
if [ $? != 0 ]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH:-csit-verified}"
- echo "No such branch ${CSIT_BRANCH:-csit-verified} in https://gerrit.fd.io/r/csit"
- exit
+ echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
+ exit 1
fi
cp build-root/*.deb csit/
@@ -26,6 +31,43 @@ else
fi
cd csit
+
+if [ "$CSIT_BRANCH" == "latest" ]; then
+ # set required CSIT branch_id based on VPP master branch; by default use 'oper'
+ case "$VPP_BRANCH" in
+ master )
+ BRANCH_ID="oper"
+ ;;
+ stable/1710 )
+ BRANCH_ID="oper-rls1710"
+ ;;
+ stable/1801 )
+ BRANCH_ID="oper-rls1801"
+ ;;
+ * )
+ BRANCH_ID="oper"
+ esac
+
+ # get the latest verified version of the required branch
+ CSIT_BRANCH=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
+
+ if [ "${CSIT_BRANCH}" == "" ]; then
+ echo "No verified CSIT branch found - exiting"
+ exit 1
+ fi
+
+ # remove 'origin/' from the branch name
+ CSIT_BRANCH=$(echo ${CSIT_BRANCH#origin/})
+fi
+
+# checkout the required csit branch
+git checkout ${CSIT_BRANCH}
+
+if [ $? != 0 ]; then
+ echo "Failed to checkout the required CSIT branch: ${CSIT_BRANCH}"
+ exit 1
+fi
+
# execute csit bootstrap script if it exists
if [ -e bootstrap.sh ]
then
diff --git a/jjb/vpp/include-raw-vpp-csit-verify-perf.sh b/jjb/vpp/include-raw-vpp-csit-verify-perf.sh
index aa59792ed..e2e88d8e4 100644
--- a/jjb/vpp/include-raw-vpp-csit-verify-perf.sh
+++ b/jjb/vpp/include-raw-vpp-csit-verify-perf.sh
@@ -12,14 +12,19 @@ if [ -x build-root/scripts/csit-test-branch ]; then
CSIT_BRANCH=`build-root/scripts/csit-test-branch`;
fi
-# Clone csit and start tests
-git clone --depth 1 https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH:-csit-verified}
+# check CSIT_BRANCH value
+if [ "$CSIT_BRANCH" == "" ]; then
+ echo "CSIT_BRANCH not provided => 'latest' will be used"
+ CSIT_BRANCH="latest"
+fi
+
+# clone csit
+git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit
-# If the git clone fails, complain clearly and exit
+# if the git clone fails, complain clearly and exit
if [ $? != 0 ]; then
- echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH:-csit-verified}"
- echo "No such branch ${CSIT_BRANCH:-csit-verified} in https://gerrit.fd.io/r/csit"
- exit
+ echo "Failed to run: git clone --depth 1 --no-single-branch https://gerrit.fd.io/r/csit"
+ exit 1
fi
cp build-root/*.deb csit/
@@ -31,6 +36,43 @@ else
fi
cd csit
+
+if [ "$CSIT_BRANCH" == "latest" ]; then
+ # set required CSIT branch_id based on VPP master branch; by default use 'oper'
+ case "$VPP_BRANCH" in
+ master )
+ BRANCH_ID="oper"
+ ;;
+ stable/1710 )
+ BRANCH_ID="oper-rls1710"
+ ;;
+ stable/1801 )
+ BRANCH_ID="oper-rls1801"
+ ;;
+ * )
+ BRANCH_ID="oper"
+ esac
+
+ # get the latest verified version of the required branch
+ CSIT_BRANCH=$(echo $(git branch -r | grep -E "${BRANCH_ID}-[0-9]+" | tail -n 1))
+
+ if [ "${CSIT_BRANCH}" == "" ]; then
+ echo "No verified CSIT branch found - exiting"
+ exit 1
+ fi
+
+ # remove 'origin/' from the branch name
+ CSIT_BRANCH=$(echo ${CSIT_BRANCH#origin/})
+fi
+
+# checkout the required csit branch
+git checkout ${CSIT_BRANCH}
+
+if [ $? != 0 ]; then
+ echo "Failed to checkout the required CSIT branch: ${CSIT_BRANCH}"
+ exit 1
+fi
+
# execute csit bootstrap script if it exists
if [ ! -e bootstrap-verify-perf.sh ]
then
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index a808faedf..0656508b1 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -238,6 +238,7 @@
branch: '{branch}'
builders:
+ - shell: 'echo "VPP_BRANCH={branch}" > $WORKSPACE/variables.prop'
- shell:
!include-raw-escape:
- include-raw-vpp-checkstyle.sh
@@ -331,6 +332,7 @@
notbuilt: false
builders:
+ - shell: 'echo "VPP_BRANCH={branch}" > $WORKSPACE/variables.prop'
- shell:
!include-raw-escape:
- ../scripts/setup_vpp_dpdk_dev_env.sh